package lab4;

public class StringCommandAppend implements StringCommand {
    
    private final String appendix;

    public StringCommandAppend(String appendix) {
        this.appendix = appendix;
    }

    @Override
    public void execute(StringBuilder receiver) {
        receiver.append(appendix);
    }
    
    @Override
    public void undo(StringBuilder receiver) {
        receiver.setLength(receiver.length()-appendix.length());
    }
}
