package lab4;

public class StringCommandRepeat implements StringCommand {
    
    private final int numRepeats;
    private final StringCommand body;

    public StringCommandRepeat(int numRepeats, StringCommand body) {
        this.numRepeats = numRepeats;
        this.body = body;
    }

    @Override
    public void execute(StringBuilder receiver) {
        for(int i=0; i<numRepeats; i++) {
            body.execute(receiver);
            System.out.println("Test ");
        }
    }

    @Override
    public void undo(StringBuilder receiver) {
        for(int i=0; i<numRepeats; i++) {
            body.undo(receiver);
        }
    }
    
}
