package lab4;

public class StringCommandInsert implements StringCommand {
    
    private final int offset;
    private final String insertion;

    public StringCommandInsert(int offset, String insertion) {
        this.offset = offset;
        this.insertion = insertion;
    }

    @Override
    public void execute(StringBuilder receiver) {
        receiver.insert(offset,insertion);
    }
    
    @Override
    public void undo(StringBuilder receiver) {
        receiver.delete(offset,offset+insertion.length());
    }
}
